Package org.gradle.tooling.events.download

## Interface FileDownloadProgressEvent

- All Superinterfaces:
    `ProgressEvent`
  All Known Subinterfaces:
    `FileDownloadFinishEvent`, `FileDownloadStartEvent`

      @Incubating
      public interface FileDownloadProgressEvent
      extends ProgressEvent

  An event related to the progress of file download.
  Since:
    7.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileDownloadOperationDescriptor` | `getDescriptor()` | Returns the description of the operation for which progress is reported.

    - ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

      `getDisplayName, getEventTime`

- - ### Method Detail

    - #### getDescriptor

          FileDownloadOperationDescriptor getDescriptor()

      Description copied from interface: `ProgressEvent`
      Returns the description of the operation for which progress is reported.
      Specified by:
        `getDescriptor` in interface `ProgressEvent`
      Returns:
        The description of the operation.